Bug 600331 - java crash when loading python macro
java crash when loading python macro
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
4.8
ppc Linux
low Severity medium
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 09:23 EDT by Tomas Pelka
Modified: 2012-06-19 03:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 03:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Caolan McNamara 2010-06-04 09:42:50 EDT
I rather suspect it dies loading any java from "java-1.4.2-ibm-1.4.2.13.4". Does file->wizards->letter work or not ?
Comment 4 Jan Lieskovsky 2010-06-04 10:02:20 EDT
Version-Release number of selected component (if applicable):
openoffice.org2-*-2.0.4-5.7.0.6.1.el4_8.4

How reproducible:
100%

Steps to Reproduce:
1. Try to organize JavaScript / Python / BeanShell macros in ooo2
   (Tools -> Macros -> Organize Macros && select particular item)

Actual results:
---start copy and paste here---
(I)    x.org loaded video driver of...
(III)  Desktop is: not GNOME
(IV)   libgcj version is: libgcj-3.4.6-11.el4_8.1-ppc
(V)    kernel is: Linux 2.6.9-89.0.25.EL #1 SMP Mon Apr 19 05:59:11 EDT 2010
ppc64 ppc64 ppc64
(VI)   OpenOffice.org core rpm version is:
openoffice.org2-core-2.0.4-5.7.0.6.1.el4_8.3-ppc
(VII)  depth of root window:    16 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:  enabled
SELinuxfs mount: /selinux
Current mode:  enforcing
Mode from config file: enforcing
Policy version:  18
Policy from config file:targeted

Policy booleans:
allow_syslog_to_console inactive
allow_ypbind  active
dhcpd_disable_trans inactive
httpd_builtin_scripting active
httpd_disable_trans inactive
httpd_enable_cgi active
httpd_enable_homedirs active
httpd_ssi_exec  active
httpd_tty_comm  inactive
httpd_unified  active
mysqld_disable_trans inactive
named_disable_trans inactive
named_write_master_zonesinactive
nscd_disable_trans inactive
ntpd_disable_trans inactive
pegasus_disable_trans inactive
portmap_disable_trans inactive
postgresql_disable_transinactive
snmpd_disable_trans inactive
squid_disable_trans inactive
syslogd_disable_trans inactive
use_nfs_home_dirs inactive
use_samba_home_dirs inactive
use_syslogng  inactive
winbind_disable_trans inactive
ypbind_disable_trans inactive
...end sestatus details ...
...start stackreport details ...
0xf8d9114: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x29114
0xf8d9a3c: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x29a3c
0xcd0c8e8: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/libjsig.so + 0x28e8
(jsig_handler + 0x18c)
0xcd3c190: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/libhpi.so + 0xd190
(sysInvokeOldSignalHandler + 0x74)
0xcf621f8: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0x1b01f8
0xcd38f30: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/libhpi.so + 0x9f30
0xcd38e80: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/libhpi.so + 0x9e80
(sysSignalCatchHandler + 0xf4)
0xcd3ac8c: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/libhpi.so + 0xbc8c
0xcd3af38: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/libhpi.so + 0xbf38
0xffffc3e8: ????????
0x0: ????????
0xfe82a44: /lib/tls/libc.so.6 + 0x32a44 (abort + 0x250)
0xce8dde4: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0xdbde4
0xce8e04c: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0xdc04c (clFindClassFromClass + 0x9c)
0xce8e108: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0xdc108 (clFindSystemClass + 0x70)
0xcf3b9fc: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0x1899fc (xeExceptionInit + 0x80)
0xcf68954: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0x1b6954 (xmInitializeJVM + 0x2fc)
0xce18bb0: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0x66bb0 (ciCreateJVM + 0xad8)
0xce2ca0c: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/sovvm/libjvm.so +
0x7aa0c (JNI_CreateJavaVM + 0xe4)
0xcfdf648: /usr/lib/jvm/java-1.4.2-ibm-1.4.2.13.4/jre/bin/classic/libjvm.so +
0xb648 (JNI_CreateJavaVM + 0x1bc)
0xd00b394: /usr/lib/openoffice.org2.0/program/sunjavaplugin.so + 0x6394
(jfw_plugin_startJavaVirtualMachine + 0x4e0)
0xf7977d0: /usr/lib/openoffice.org2.0/program/libjvmfwk.so.3 + 0x77d0
(jfw_startVM + 0x32c)
0xd049ddc: /usr/lib/openoffice.org2.0/program/javavm.uno.so + 0x10ddc
0xd07bf38: /usr/lib/openoffice.org2.0/program/javaloader.uno.so + 0x3f38
0xd07cf88: /usr/lib/openoffice.org2.0/program/javaloader.uno.so + 0x4f88
0xfaf05ac: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x505ac (cppu::ORegistryFactoryHelper::createModuleFactory() + 0x448)
0xfaf1fa8: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x51fa8
(cppu::ORegistryFactoryHelper::createInstanceWithArgumentsAndContext(com::sun::star::uno::Sequence<com::sun::star::uno::Any>
const&, com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0x1a4)
0xd1667ac: /usr/lib/openoffice.org2.0/program/libscriptframe.so + 0x307ac
(func_provider::ProviderCache::createProvider(func_provider::ProviderDetails&)
+ 0x78)
0xd166d70: /usr/lib/openoffice.org2.0/program/libscriptframe.so + 0x30d70
(func_provider::ProviderCache::getAllProviders() + 0x21c)
0xd154a70: /usr/lib/openoffice.org2.0/program/libscriptframe.so + 0x1ea70
(func_provider::MasterScriptProvider::getAllProviders() + 0x5c)
0xd154b9c: /usr/lib/openoffice.org2.0/program/libscriptframe.so + 0x1eb9c
(func_provider::MasterScriptProvider::getChildNodes() + 0x78)
0xd173ed4: /usr/lib/openoffice.org2.0/program/libscriptframe.so + 0x3ded4
(browsenodefactory::DefaultBrowseNode::getChildNodes() + 0x170)
0x20b1ac4: /usr/lib/openoffice.org2.0/program/libsvx680lp.so + 0x411ac4
0x20b68a4: /usr/lib/openoffice.org2.0/program/libsvx680lp.so + 0x4168a4
0x20b7b00: /usr/lib/openoffice.org2.0/program/libsvx680lp.so + 0x417b00
(SvxScriptOrgDialog::SvxScriptOrgDialog(Window*, rtl::OUString) + 0x4dc)
0xd211708: /usr/lib/openoffice.org2.0/program/libcui680lp.so + 0x71708
0xf80474: /usr/lib/openoffice.org2.0/program/libsfx680lp.so + 0xc0474
0x113cc30: /usr/lib/openoffice.org2.0/program/libsfx680lp.so + 0x27cc30
0x113e1f4: /usr/lib/openoffice.org2.0/program/libsfx680lp.so + 0x27e1f4
(SfxDispatcher::Execute(unsigned short, unsigned short, SfxItemSet*,
SfxItemSet*, unsigned short) + 0x1e0)
0x115eb3c: /usr/lib/openoffice.org2.0/program/libsfx680lp.so + 0x29eb3c
0x115f614: /usr/lib/openoffice.org2.0/program/libsfx680lp.so + 0x29f614
0x1adde94: /usr/lib/openoffice.org2.0/program/libfwk680lp.so + 0x16de94
0x2e67c4: /usr/lib/openoffice.org2.0/program/libvcl680lp.so + 0x2a67c4
0xe7427bc: /usr/lib/openoffice.org2.0/program/libvclplug_gen680lp.so + 0x5a7bc
(SalDisplay::DispatchInternalEvent() + 0xdc)
0xe79e7bc: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680lp.so + 0x147bc
0xf6cd93c4: /usr/lib/libglib-2.0.so.0 + 0x313c4
0xf6cd5040: /usr/lib/libglib-2.0.so.0 + 0x2d040 (g_main_context_dispatch +
0x224)
0xf6cd72e4: /usr/lib/libglib-2.0.so.0 + 0x2f2e4
0xf6cd7948: /usr/lib/libglib-2.0.so.0 + 0x2f948 (g_main_context_iteration +
0x80)
0xe7a0290: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680lp.so + 0x16290
0xe743ca8: /usr/lib/openoffice.org2.0/program/libvclplug_gen680lp.so + 0x5bca8
(X11SalInstance::Yield(bool, bool) + 0x44)
0xd8e04: /usr/lib/openoffice.org2.0/program/libvcl680lp.so + 0x98e04
(Application::Yield(bool) + 0x90)
0xd8f48: /usr/lib/openoffice.org2.0/program/libvcl680lp.so + 0x98f48
(Application::Execute() + 0x54)
0x2a6b03c: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2b03c
(desktop::Desktop::Main() + 0x1218)
0xdf850: /usr/lib/openoffice.org2.0/program/libvcl680lp.so + 0x9f850
0xdf964: /usr/lib/openoffice.org2.0/program/libvcl680lp.so + 0x9f964 (SVMain()
+ 0x34)
0x2a5e8f4: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1e8f4 (sal_main
+ 0x60)
0x2a5e980: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1e980 (main +
0x30)
0xfe6ba8c: /lib/tls/libc.so.6 + 0x1ba8c
0xfe6bbd4: /lib/tls/libc.so.6 + 0x1bbd4
...end stackreport details ...
...start sample ldd details ...
 libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3
(0x6fdce000)
 libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x6fda9000)
 libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x6fd6c000)
 libdl.so.2 => /lib/libdl.so.2 (0x6fd48000)
 libpthread.so.0 => /lib/tls/libpthread.so.0 (0x6fd14000)
 libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x6fc0d000)
 libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x6fb0a000)
 libm.so.6 => /lib/tls/libm.so.6 (0x6fa75000)
 libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x6fa46000)
 libc.so.6 => /lib/tls/libc.so.6 (0x6f8e4000)
 libcrypt.so.1 => /lib/libcrypt.so.1 (0x6f894000)
 /lib/ld.so.1 (0x08000000)
...end sample ldd details ...
---end copy and paste here---
paste the above into your bug report


Expected results:
No crash

Additional info:
Only on 64b arches (ppc and x86_64). 
Ooo.org2!
Comment 5 Caolan McNamara 2010-06-04 10:10:55 EDT
I rather suspect it dies loading any java from "java-1.4.2-ibm-1.4.2.13.4".
Does file->wizards->letter work or not ?
Comment 6 Caolan McNamara 2010-06-14 10:31:38 EDT
I suspect that any use of java-1.4.2-ibm from OOo2 crashes, i.e. not specific to the macro work. Another test is file->wizards->letter etc. 

I doubt that this is an OOo bug, so I'll let the maintainers of java-1.4.2-ibm have a once over if they want. FWIW "OpenOffice.org2" itself is an unsupported tech preview which doesn't get any bug fixes in RHEL-4
Comment 7 Deepak Bhole 2010-06-14 16:05:59 EDT
IBM java (the JDK/JVM itself) is unsupported in RHEL-4 as well. Is this crash reproducible only with IBM 1.4 or have you seen it with 1.5 and higher as well?
Comment 10 Caolan McNamara 2012-06-19 03:48:10 EDT
No point keeping this around. The issue was a crash in java from OpenOffice.org which is out of support in RHEL-4 now.

Note You need to log in before you can comment on or make changes to this bug.